MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000046WebSolarLogDevicespublic2013-06-05 15:142013-06-23 16:11
Reporterkorzyn 
Assigned Tomfrijmann 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionRelease 1.1.0 
Summary0000046: Only one config possible with SMAspot bluetooth connection
DescriptionHaving installed multiple inverters accessed by SMAspot there is no possible way to set up different or the inverter independent config files to correct access them also one by one.

Additional InformationIf it is possible by now, please make a better description how to configure websolarlog to get it working.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000056)
mfrijmann (administrator)
2013-06-08 23:34

Connection manager?
Connect a inverter to a api and path:
PowerOne Uno 2.5, Aurora, /home/pi/aurora/aurora -c .......
SMA 3000TL, SMAspot, /home/pi/smaspot2.0.6/... , .......
SMA 3600TL, SMAspot, /home/pi/smaspot2.0.5/... , .......
(0000064)
korzyn (reporter)
2013-06-10 18:53

Please excuse my question, but I don't understand your note.

Does it mean, that it is possible by separating each config routine by a comma?

Example for two inverters:
/home/pi/smaspot/bin/Release/./SMAspot -cfgInv1.cfg -wsl, /home/pi/smaspot/bin/Release/./SMAspot -cfgInv2.cfg -wsl

or

does it mean that it isn't possible at the moment until you make changes?

Once again, sorry for disturbing you.
(0000069)
mfrijmann (administrator)
2013-06-11 07:49

There is no need to excuse yourself.

More people have problems with connecting device. therefore we are looking for a more generic/easier way to Manage device. This needs to be build and is not yet available.

Thanks for your input and feel free to give us feedback on our work :)
(0000089)
timebits (reporter)
2013-06-16 22:10

My recommendation would be to e.g. put the config file into the address field for SMAspot devices, and then parse the .CSV data SMASpot (2.0.6) generates. I'm currently fiddling around with a hacked-together hardcoded variant of this setup, but this already works nicely for multiple inverters (except for plotting the data of both of ours simultaneously, see issue 0000074).
(0000091)
mfrijmann (administrator)
2013-06-17 11:48

Just commit a small change to the SMAspot device-handler of WSL.
It should be possible to log multi-inverters.

Steps;
1. goto your SMA device in admin::devices (of not exists, add one)
2. goto field "(RS485/IP) address:" and add the path to the SMAspot configfile for that device.
3. save the device
4. set the "SMAspot >2.0.6(BT):" field in admin::advanced so it points to your SMAspot installation

============================ setup examples ============================

example device 1:
Device: SMA-3000TL
(RS485/IP) address: /home/pi/smaspot/bin/Release/SMAspot.cfg1
SMAspot >2.0.6(BT): /home/pi/smaspot/bin/Release/./SMAspot

example device 2:
Device: SMA-2000TL
(RS485/IP) address: /home/pi/smaspot/bin/Release/SMAspot.cfg2
SMAspot >2.0.6(BT): /home/pi/smaspot/bin/Release/./SMAspot


============================ command examples ============================
WSL will compose the following commands:
example device 1:
Device: SMA-3000TL
/home/pi/smaspot/bin/Release/./SMAspot -finq -q -wsl -cfg/home/pi/smaspot/bin/Release/SMAspot.cfg1


example device 2:
Device: SMA-2000TL
/home/pi/smaspot/bin/Release/./SMAspot -finq -q -wsl -cfg/home/pi/smaspot/bin/Release/SMAspot.cfg2

For debugging:
run the following command at the command prompt of your system and replace the <...> by your paths:
<(RS485/IP) address> -finq -q -wsl -cfg<SMAspot >2.0.6(BT)>
and see of both command results looks like below:
WSL_START;16/06/2013
14:49:39;0,000;0,000;7,964;0,000;245,000;0,000;0,000;0,000;0,000;0,000;0,000;0,000;230,500;0,000;0,000;0,000;1786,000;0,000;7
,628;242,174;50,000;372,998;334,902;75,686;OK;?;WSL_END
(0000094)
korzyn (reporter)
2013-06-17 16:57

Great news!

In the last two days I've created a php script that creates MySQL databases for SMAspot read out inverters and pushes the data to those. It will also get the data from SMAspot automatically in the future. Right now it must be startes (by acron job) right after SMAspot colleted data from the inverters, and it's working great! An other goodie is, that the collected inverter data is summarized an stored in an third, of course automaticaly, created database. (Will publicate is soon).
Do you think you could make source selection in devices section, pointing to a this MySQL database? Mayby it would be easier to SMAspot using people?
(0000095)
mfrijmann (administrator)
2013-06-17 17:39
edited on: 2013-06-17 17:50

Maybe i'm not getting it, but what would be the bennefit for SMAspot/WSL users to save the data in a third DB/source?
From the WSL point of view;
WSL uses SMAspot as a device-connector. WSL saves the data to its own database and converts the data to information on the frontend.

Why a third datasource and why should WSL connect to that datasource?
If we do this, we need to write a complete new database layer to connect/reflect this MySQL db...

don't get me wrong, its a open and free world where anybody can may anything. But i'm getting/seeing the the link with/to wsl.

(0000096)
korzyn (reporter)
2013-06-18 17:51
edited on: 2013-06-18 17:54

no, no. if it is too much of code replacement then forget it. My intention was to have just the possibility to do this. Personally I am using a Raspberry Pi to connect to the inverters. To save the SD card, i use smaspot to readout the inverters and place the csv files on a ram drive placed directory. From there a php script imports the data to a NAS storage (with MySQL). Thats all. As i know, there are some people having the same environment and would make it also like this.


- Issue History
Date Modified Username Field Change
2013-06-05 15:14 korzyn New Issue
2013-06-08 23:34 mfrijmann Note Added: 0000056
2013-06-08 23:34 mfrijmann Assigned To => mfrijmann
2013-06-08 23:34 mfrijmann Status new => confirmed
2013-06-10 10:12 mfrijmann Assigned To mfrijmann =>
2013-06-10 18:53 korzyn Note Added: 0000064
2013-06-11 07:49 mfrijmann Note Added: 0000069
2013-06-16 22:10 timebits Note Added: 0000089
2013-06-17 11:30 mfrijmann Assigned To => mfrijmann
2013-06-17 11:30 mfrijmann Status confirmed => assigned
2013-06-17 11:45 Changeset attached => SourceForge trunk r1009
2013-06-17 11:48 mfrijmann Note Added: 0000091
2013-06-17 11:49 mfrijmann Status assigned => feedback
2013-06-17 16:57 korzyn Note Added: 0000094
2013-06-17 16:57 korzyn Status feedback => assigned
2013-06-17 17:39 mfrijmann Note Added: 0000095
2013-06-17 17:50 mfrijmann Note Edited: 0000095 View Revisions
2013-06-17 17:50 mfrijmann Note Edited: 0000095 View Revisions
2013-06-18 17:51 korzyn Note Added: 0000096
2013-06-18 17:54 korzyn Note Edited: 0000096 View Revisions
2013-06-23 16:11 mfrijmann Status assigned => resolved
2013-06-23 16:11 mfrijmann Fixed in Version => Release 1.1.0
2013-06-23 16:11 mfrijmann Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker